Bug 740595 - abrt-gui doesn't detect missing libreport-plugin-bugzilla
abrt-gui doesn't detect missing libreport-plugin-bugzilla
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
16
All Linux
medium Severity low
: ---
: ---
Assigned To: Jiri Moskovcak
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ABRTF18
  Show dependency treegraph
 
Reported: 2011-09-22 11:30 EDT by Richard Marko
Modified: 2016-01-31 21:21 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 09:41:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard Marko 2011-09-22 11:30:00 EDT
Description of problem:
abrt-gui offers the Bugzilla reporter option even if libreport-plugin-bugzilla is removed from the system causing the reporting to fail.

Version-Release number of selected component (if applicable):
libreport-plugin-bugzilla.x86_64 2.0.5-8.fc16

Steps to Reproduce:
1. yum erase libreport-plugin-bugzilla
2. run abrt-gui and proceed to reporters step

Actual results:
Bugzilla option present

Expected results:
No Bugzilla option present

Additional info:
Works fine for libreport-plugin-(logger\mailx)
Comment 1 Jiri Moskovcak 2012-08-10 06:33:06 EDT
This is a tough one. The default configuration expects a certain set of packages to be installed (abrt-desktop AND abrt-cli pull all the required ones). If user manually removes some plugin he should alter the config files according to the new setup.

One solution could be to try to read the even config (stored in the xml) and if that fails, then don't offer it in UI. Which means all event's will have to have some config.
Comment 2 Fedora End Of Life 2013-01-16 16:42:38 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jaroslav Reznik 2013-02-26 09:41:21 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.